

kerio.waw.ui.serviceList = {

x_m: function(x_n) {
this.x_ga = x_n;
var x_o = (kerio.waw.status.x_p.x_q === x_r.x_s.x_t);
var x_x = kerio.lib.x_x;


var x_1gk = function(x_1o) {
return {
x_47: x_fi.x_1gl(x_1o)
};
}; 
var x_1gm = function(x_1o, x_47) {
if (x_r.x_1e9.x_14e === x_1o) {
return {
x_47: x_47.protoNumber
};
}
return {
x_47: x_fa.x_1gn[x_1o].x_23
};
}; 
var x_5o = {
x_o: x_o,
x_5q: false,
x_5x: {
x_1e: [
{x_7s: 'id',          x_7t: true},
{x_7s: 'status',      x_7t: true},
{x_7s: 'name',        x_23: x_x('Name', 'common'),                     x_1u: 180, x_7u: kerio.waw.shared.x_3e.x_8q.x_8r},
{x_7s: 'protocol',    x_23: x_x('Protocol', 'serviceList'),            x_1u:  60, x_7u: x_1gm},
{x_7s: 'srcPort',     x_23: x_x('Source Port', 'serviceList'),         x_1u: 120, x_7u: x_1gk},
{x_7s: 'dstPort',     x_23: x_x('Destination Port', 'serviceList'),    x_1u: 120, x_7u: x_1gk},
{x_7s: 'inspector',   x_23: x_x('Protocol Inspector', 'serviceList'),  x_1u: 100},
{x_7s: 'description', x_23: x_x('Description', 'common'),              x_1u: 160},
{x_7s: 'protoNumber', x_7t: true},
{x_7s: 'icmpTypes',   x_7t: true}
]
}, x_6h: {
x_5g:     'serviceEditor',
x_6i:  'x_1go',
x_6k: 'x_1ee',
x_6j: 'x_1gp'
},
x_6m: 'serviceIds',
x_65: {
x_68: 'services',
x_66: {
object: 'IpServiceManager'
}
}, 
x_2d: function() {
x_fi.x_3j();
} }; var x_3l = new kerio.waw.shared.x_17.x_3c(this.x_ga, x_5o);
this.x_2a(x_3l);
return x_3l;
}, 
x_2a: function(x_2b) {

x_2b.x_2c = function () {
x_fi.x_3f();
var x_14 = kerio.waw.status.x_14;
x_14.x_ia(this.x_o ? undefined : this.x_32);
x_14.x_15(false);
this.x_6y();
}; 

} }; 